#
# spec file for package php7-APCu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define pkg_name apcu_bc
Name:           php7-APCu-bc
Version:        1.0.5
Release:        lp156.6.1
Summary:        APCu - APC User Cache - Backward Compatibility
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Url:            http://pecl.php.net/package/apcu_bc
Source:         http://pecl.php.net/get/%{pkg_name}-%{version}.tgz
Source1:        apcu_bc.ini
BuildRequires:  php7-devel >= 7.0
BuildRequires:  php-devel(vhng)
BuildRequires:  xz
BuildRequires:  php7-APCu-devel
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
Requires:       php(vhng) = %{php_vhng_branch}
Provides:       php-APCu-bc = %{version}
Provides:       php-APCu-bc(vhng) = %{php_vhng_branch}
Obsoletes:      php-APCu-bc < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides a backwards APC compatible API using APCu.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
export CFLAGS="%optflags -fvisibility=hidden"
%{_bindir}/phpize
%configure --enable-apcu
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test PHP_EXECUTABLE=%{_bindir}/php NO_INTERACTION=1

%install
make install INSTALL_ROOT=%{buildroot}
mv %{buildroot}%{_libdir}/php7/extensions/apc.so %{buildroot}%{_libdir}/php7/extensions/%{pkg_name}.so
install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php7/conf.d/%{pkg_name}.ini

# remove not used header file(s)
rm -rf %{buildroot}/%{_includedir}/php7/ext/%{pkg_name}/

%files
%defattr(-,root,root,-)
%{_libdir}/php7/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php7/conf.d/%{pkg_name}.ini
%doc README.md
%license LICENSE

%changelog
* Wed Aug 16 2023 Angelo Grossini <rottame@intercom.it>
- fix provides
* Wed Aug 16 2023 Angelo Grossini <rottame@intercom.it>
- vhng versioning
